KOBJECT_RENAME(9)

NAME
kobject_rename - change the name of an object

SYNOPSIS

int kobject_rename(struct kobject * kobj, const char * new_name);

ARGUMENTS

kobj
    object in question.

new_name
    object's new name

DESCRIPTION

It is the responsibility of the caller to provide mutual exclusion between two different calls of kobject_rename on the same kobject and to ensure that new_name is valid and won't conflict with other kobjects.

COPYRIGHT